# Table of Contents

## Namespaces

- osgFX

## Macros

- META_Effect An helper macro that defines the methods like effectName() and effectDescription() making them return the strings passed as parameters, after the usual library name and class name
- META_Technique An helper macro that defines the methods techniqueName() and techniqueDescription() making them return the strings passed as parameters
- OSGFX_ANISOTROPICLIGHTING_
- OSGFX_BUMPMAPPING_
- OSGFX_CARTOON_
- OSGFX_EFFECT_
- OSGFX_EXPORT:
  - OSGFX_EXPORT
  - OSGFX_EXPORT
  - OSGFX_EXPORT
- OSGFX_EXPORT_
- OSGFX_REGISTRY_
- OSGFX_SCRIBE_
- OSGFX_SPECULARHIGHLIGHTS_
- OSGFX_TECHNIQUE_
- OSGFX_VALIDATOR_

Hierarchy of classes

This page was generated with the help of DOC++.